// JS file for random Xeno images + pride Xeno!

var imageArray = [
    "siteimg/deioxpk-b2e38b76-f126-4d2c-bf24-91713dbfa3d0smol2.png", 
    "siteimg/xenopan_50pcrop.png", 
    "https://cdn.technolog.network/img/xeno/kittyrosiefull%20(Medium).png",
    "https://cdn.technolog.network/img/xeno/xenohappysit.png",
    "https://cdn.technolog.network/img/xeno/jhayarr1_smol.png"
]
var xenoPrideImg = "siteimg/xenopan_50pcrop.png";
var xenoXmasImg = "siteimg/deioxpk-xmas1_smol.png"

var num = Math.floor(Math.random() * (imageArray.length));
const month = new Date().getMonth();

if (month == 5) { // June - LGBTQ+ Pride
    console.log("Month is June - LGBTQ+ Pride!")
    document.xeno.src = xenoPrideImg;
    document.xeno.title = "Have proud pansexual hors. - Art by Vivian Reed VA";
} else if (month == 12) { // December
    console.log("Month is December - Crimmis")
    document.xeno.src = xenoXmasImg;
    document.xeno.title = "Have festive hors. - Art by LimeDazzle";
} else {
    document.xeno.title = "Have hors.";
    document.xeno.width = "550";
    var chosennum = num;
    console.log("Chosen num is " + chosennum + " - " + imageArray[chosennum]);
    document.xeno.src = imageArray[chosennum];
    // document.xeno.src = imageArray[num];
    if (chosennum == 0) {
        document.xeno.title += " - Art by LimeDazzle";
    } else if (chosennum == 1) {
        document.xeno.title += " - Art by Vivian Reed VA";
    } else if (chosennum == 2) {
        document.xeno.title += " - Art by KittyRosie";
    } else if (chosennum == 4){
        document.xeno.title += " - Art by CrescendCinnamon";
        document.xeno.width = "300";
    }
}